%define rel 3

%define git 0

%if %{git}
%define release %mkrel 0.%{git}.%rel
%else
%define release %mkrel %rel
%endif

Summary:        PulseAudio Preferences
Name:           paprefs
Version:        1.1
Release:        %{release}
License:        GPLv2
Group:          Sound/Utilities
Url:            https://freedesktop.org/software/pulseaudio/paprefs/
%if %{git}
Source0:        %{name}-%{git}.tar.xz
%else
Source0:        http://freedesktop.org/software/pulseaudio/paprefs/%{name}-%{version}.tar.xz
%endif
Source1:        %{name}.svg
Patch0002:      paprefs-0.9.10-rosa-ru-l10n.patch
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(gtkmm-3.0)
BuildRequires:  pkgconfig(giomm-2.4)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(tidy)
BuildRequires:  intltool
BuildRequires:  gettext-devel
BuildRequires:  lynx
BuildRequires:  meson
BuildRequires:  tidy
BuildRequires:  desktop-file-utils

Requires:       pulseaudio-module-gsettings >= 12.2-3.mga7
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
PulseAudio Preferences is a simple GTK based configuration dialog for
the PulseAudio sound server.

Please note that this program can only configure local servers, and
requires that a special module module-gconf is loaded in the sound
server.

%prep
%if %{git}
%setup -q -n %{name}
%else
%setup -q
%endif
%autopatch -p1

%build
%meson -Dlynx=true
%meson_build

%install
%meson_install

install -D -m 0644 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
sed -i "s/^Icon=.*/Icon=%{name}/" %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-install --vendor="" \
  --add-category="GTK" \
  --add-category="System" \
  --add-category="X-Mageia-CrossDesktop" \
  --remove-key="Encoding" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc build/doc/README*
%license LICENSE
%{_bindir}/%name
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/%{name}.glade
%{_iconsdir}/hicolor/*/apps/%{name}.*


%changelog
* Sat Feb 15 2020 umeabot <umeabot> 1.1-3.mga8
+ Revision: 1525489
- Mageia 8 Mass Rebuild

* Thu Apr 18 2019 umeabot <umeabot> 1.1-2.mga7
+ Revision: 1392854
- Rebuild with meson 0.50.1

* Sat Apr 13 2019 wally <wally> 1.1-1.mga7
+ Revision: 1389679
- new version 1.1

* Wed Dec 12 2018 barjac <barjac> 1.0-3.mga7
+ Revision: 1340647
- Removed module-gconf require and replaced with -gsettings
- Fixes Mga#23963 (paprefs does not start)

* Tue Sep 11 2018 daviddavid <daviddavid> 1.0-2.mga7
+ Revision: 1258292
- really enable Tidy support

* Tue Sep 11 2018 daviddavid <daviddavid> 1.0-1.mga7
+ Revision: 1258287
- new version: 1.0
- switch to meson build system
- update URL and Source URL
- remove merged upstream patch
- enable Tidy support

* Sun Jun 03 2018 wally <wally> 0.9.10-14.mga7
+ Revision: 1234190
- fix build on aarch64
+ tv <tv>
- rebuild for new gtkmm-2.4

* Wed Mar 01 2017 ghibo <ghibo> 0.9.10-12.mga6
+ Revision: 1088298
- Rebuilt against pulseaudio 10

* Fri Feb 12 2016 umeabot <umeabot> 0.9.10-11.mga6
+ Revision: 956590
- Mageia 6 Mass Rebuild

* Wed Sep 16 2015 blino <blino> 0.9.10-10.mga6
+ Revision: 879702
- fix build by compiling for c++1

* Sun Jul 12 2015 alexl <alexl> 0.9.10-9.mga6
+ Revision: 853456
- added Russian l10n

* Wed Oct 15 2014 umeabot <umeabot> 0.9.10-8.mga5
+ Revision: 744748
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.10-7.mga5
+ Revision: 683332
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.9.10-6.mga4
+ Revision: 508877
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.9.10-5.mga3
+ Revision: 362389
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 10 2013 barjac <barjac> 0.9.10-4.mga3
+ Revision: 344859
- update group
- update license
- changed invalid BR to pkgconfig(libglademm-2.4)

* Fri Sep 07 2012 dams <dams> 0.9.10-3.mga3
+ Revision: 289611
- new icon for a better rendering
- clean specfile

* Sun Nov 06 2011 colin <colin> 0.9.10-2.mga2
+ Revision: 164347
- Do not require rebuild for new PA versions.

* Tue Sep 27 2011 colin <colin> 0.9.10-1.mga2
+ Revision: 149322
- New version: 0.9.10

* Thu Feb 24 2011 mikala <mikala> 0.9.9-7.mga1
+ Revision: 58755
- Clean spec (remove mdk macros,Use of Mandriva categories)
- imported package paprefs


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.9.9-7mdv2011.0
+ Revision: 607072
- rebuild

* Sat Dec 05 2009 Colin Guthrie <cguthrie@mandriva.org> 0.9.9-6mdv2010.1
+ Revision: 473959
- Add upstream patches to disable package kit and not require recompile on PA version bump

* Sat Oct 03 2009 Colin Guthrie <cguthrie@mandriva.org> 0.9.9-5mdv2010.0
+ Revision: 452840
- Disable packagekit install buttons. This doesn't work well on Mandriva and will just add to confusion

* Wed Sep 30 2009 Colin Guthrie <cguthrie@mandriva.org> 0.9.9-4mdv2010.0
+ Revision: 451188
- Rebuild for PA 0.9.19

* Sat Sep 26 2009 Colin Guthrie <cguthrie@mandriva.org> 0.9.9-3mdv2010.0
+ Revision: 449507
- Recompile for PulseAudio 0.9.18

* Tue Sep 15 2009 Colin Guthrie <cguthrie@mandriva.org> 0.9.9-2mdv2010.0
+ Revision: 443120
- Remove packagekit deps. Proper removal of the functionality will follow sometime soon.

* Thu Sep 10 2009 Colin Guthrie <cguthrie@mandriva.org> 0.9.9-1mdv2010.0
+ Revision: 436457
- New version: 0.9.9
- Demote gnome-packagekit to a suggestion only
- Add dep on gnome-packagekit so we can talk to gpk-update-icon's dbus service

* Tue Aug 25 2009 Colin Guthrie <cguthrie@mandriva.org> 0.9.9-0.20090825.1mdv2010.0
+ Revision: 420900
- New snapshot supporting rygel and packagekit (which is not currently in mdv but will package soon)

* Fri Jul 24 2009 Colin Guthrie <cguthrie@mandriva.org> 0.9.8-2mdv2010.0
+ Revision: 399122
- Rebuild for new pulse (and fix it to work with new pulse for good measure)

* Tue Apr 14 2009 Colin Guthrie <cguthrie@mandriva.org> 0.9.8-1mdv2009.1
+ Revision: 367225
- New version: 0.9.8

* Sun Feb 22 2009 Colin Guthrie <cguthrie@mandriva.org> 0.9.7-5mdv2009.1
+ Revision: 343913
- Fix the module directory detection
- Update patch to properly attribute trademarked terms

* Sun Feb 08 2009 Colin Guthrie <cguthrie@mandriva.org> 0.9.7-4mdv2009.1
+ Revision: 338438
- Rebuild for newer pulse

* Mon Jan 26 2009 Colin Guthrie <cguthrie@mandriva.org> 0.9.7-3mdv2009.1
+ Revision: 333849
- Fix the enabling/disabling of the RAOP option if the module is not detected
- Fix paprefs for pulseaudio module location

* Sat Oct 11 2008 Colin Guthrie <cguthrie@mandriva.org> 0.9.7-2mdv2009.1
+ Revision: 292024
- Fix a typo and an initial-state bug in my airtunes patch

* Fri Sep 12 2008 Colin Guthrie <cguthrie@mandriva.org> 0.9.7-1mdv2009.0
+ Revision: 284280
- New version: 0.9.7

* Mon Jul 28 2008 Colin Guthrie <cguthrie@mandriva.org> 0.9.6-8mdv2009.0
+ Revision: 252051
- Add support for Airtunes autodiscovery

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu Jan 31 2008 Colin Guthrie <cguthrie@mandriva.org> 0.9.6-7mdv2008.1
+ Revision: 160892
- Fix %%postun (#37210)

* Wed Jan 16 2008 Colin Guthrie <cguthrie@mandriva.org> 0.9.6-6mdv2008.1
+ Revision: 153651
- Fix an error between my chair and keyboard.
- Remove the X-MandrivaLinux-Multimedia-Sound as Fred has previously done.
- Reinstate the correct macros accidentally overwritten.

* Tue Jan 15 2008 Colin Guthrie <cguthrie@mandriva.org> 0.9.6-5mdv2008.1
+ Revision: 152546
- Rebuild due to submission failure
- Add icons for x-desktop use (MDV#36579)
- Add to X-MandrivaLinux-Multimedia-Sound category for greater exposure

* Thu Jan 10 2008 Frederic Crozat <fcrozat@mandriva.com> 0.9.6-3mdv2008.1
+ Revision: 147540
- Move menu entry to Tools/System
- Ensure correct macros are called in post/postun

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Dec 03 2007 Colin Guthrie <cguthrie@mandriva.org> 0.9.6-2mdv2008.1
+ Revision: 114518
- Require pulseaudio-module-gconf

* Tue Oct 30 2007 Colin Guthrie <cguthrie@mandriva.org> 0.9.6-1mdv2008.1
+ Revision: 103904
- New version

* Tue Oct 30 2007 Colin Guthrie <cguthrie@mandriva.org> 0.9.6-0.30.1mdv2008.1
+ Revision: 103684
- Add BuildRequires for intltool
- Add BuildRequires for gettext-devel
- Make the gettextize thing a patch to go upstream (ugly and evil but effective)
- Update to svn snapshot.


* Mon Feb 05 2007 Colin Guthrie <cguthrie@mandriva.org> 0.9.5-2mdv2007.0
+ Revision: 116467
- Fix BuildRequires for x86_64 compatibility
- Import paprefs

* Mon Aug 28 2006 Götz Waschk <waschk@mandriva.org> 0.9.5-1mdv2007.0
- initial package

